<?php

namespace App\Http\Controllers\Api\mini;

use App\Models\Spec;
use App\Models\UseRecord;
use Illuminate\Http\Request;

class UseRecordController extends BaseController
{
    protected $model;

    public function __construct()
    {
        $this->model = new UseRecord();
    }

    public function get(Request $request)
    {
        $items = $this->model->where('inner_device_id', $request->input('id'))->with('project', 'user')->get();
        return $this->success(['data' => $items]);
    }
}
